Loading...
Searching...
No Matches
RDKit::MarvinAtom Class Reference

`#include <MarvinDefs.h>`

## Public Member Functions

| MarvinAtom ()
| MarvinAtom (const MarvinAtom &atomToCopy, std::string newId)
bool | operator== (const MarvinAtom &rhs) const
bool | operator== (const MarvinAtom *rhs) const
bool | isElement () const
std::string | toString () const
ptree | toPtree (unsigned int coordinatePrecision=6) const

## Public Attributes

std::string | id
std::string | elementType
double | x2
double | y2
double | x3
double | y3
double | z3
int | formalCharge
std::string | radical
int | isotope
int | mrvValence
int | hydrogenCount
std::string | mrvAlias
std::string | mrvStereoGroup
int | mrvMap
std::string | sgroupRef
bool | sGroupRefIsSuperatom
std::string | sgroupAttachmentPoint
int | rgroupRef

## Detailed Description

Definition at line 111 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## MarvinAtom() [1/2]

RDKit::MarvinAtom::MarvinAtom | ( |  | ) |

Referenced by MarvinAtom(), operator==(), and operator==().

## MarvinAtom() [2/2]

RDKit::MarvinAtom::MarvinAtom | ( | const MarvinAtom & | atomToCopy,
|  | std::string | newId )

References MarvinAtom().

## Member Function Documentation

## isElement()

bool RDKit::MarvinAtom::isElement | ( |  | ) | const

## operator==() [1/2]

bool RDKit::MarvinAtom::operator== | ( | const MarvinAtom & | rhs | ) | const

References MarvinAtom().

## operator==() [2/2]

bool RDKit::MarvinAtom::operator== | ( | const MarvinAtom * | rhs | ) | const

References MarvinAtom().

## toPtree()

ptree RDKit::MarvinAtom::toPtree | ( | unsigned int | coordinatePrecision = 6 | ) | const

## toString()

std::string RDKit::MarvinAtom::toString | ( |  | ) | const

## Member Data Documentation

## elementType

std::string RDKit::MarvinAtom::elementType

Definition at line 114 of file MarvinDefs.h.

## formalCharge

int RDKit::MarvinAtom::formalCharge

Definition at line 121 of file MarvinDefs.h.

## hydrogenCount

int RDKit::MarvinAtom::hydrogenCount

Definition at line 125 of file MarvinDefs.h.

## id

std::string RDKit::MarvinAtom::id

Definition at line 113 of file MarvinDefs.h.

## isotope

int RDKit::MarvinAtom::isotope

Definition at line 123 of file MarvinDefs.h.

## mrvAlias

std::string RDKit::MarvinAtom::mrvAlias

Definition at line 126 of file MarvinDefs.h.

## mrvMap

int RDKit::MarvinAtom::mrvMap

Definition at line 128 of file MarvinDefs.h.

## mrvStereoGroup

std::string RDKit::MarvinAtom::mrvStereoGroup

Definition at line 127 of file MarvinDefs.h.

## mrvValence

int RDKit::MarvinAtom::mrvValence

Definition at line 124 of file MarvinDefs.h.

## radical

std::string RDKit::MarvinAtom::radical

Definition at line 122 of file MarvinDefs.h.

## rgroupRef

int RDKit::MarvinAtom::rgroupRef

Definition at line 133 of file MarvinDefs.h.

## sgroupAttachmentPoint

std::string RDKit::MarvinAtom::sgroupAttachmentPoint

Definition at line 132 of file MarvinDefs.h.

## sgroupRef

std::string RDKit::MarvinAtom::sgroupRef

Definition at line 129 of file MarvinDefs.h.

## sGroupRefIsSuperatom

bool RDKit::MarvinAtom::sGroupRefIsSuperatom

Definition at line 130 of file MarvinDefs.h.

## x2

double RDKit::MarvinAtom::x2

Definition at line 115 of file MarvinDefs.h.

## x3

double RDKit::MarvinAtom::x3

Definition at line 117 of file MarvinDefs.h.

## y2

double RDKit::MarvinAtom::y2

Definition at line 116 of file MarvinDefs.h.

## y3

double RDKit::MarvinAtom::y3

Definition at line 118 of file MarvinDefs.h.

## z3

double RDKit::MarvinAtom::z3

Definition at line 119 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h